= content_for :title do
  = 'Posts'

= link_to 'New Post', new_post_path, class: 'btn btn-primary my-2'

.p-3.bg-light
  / BEGIN
= search_form_for @search_query do |f|
  .row.my-2
    .col-5
      label Search by title
      = f.input :title_cont, label: false
    .col-4
      label Select state
      = f.input :aasm_state_eq, as: :select, collection: Post.aasm.states.map(&:name), label: false
    .col-3
      = f.submit 'Search', class: 'btn btn-primary me-2 mt-4'
      = link_to 'Reset', url_for, class: 'btn btn-outline-primary mt-4'
  / END

table.table.table-striped.table-hover.mb-5
  thead
    tr
      th{ scope: :col } #
      th{ scope: :col } Title
      th{ scope: :col } State
      th

  tbody
    - @posts.each_with_index do |post, i|
      tr
        th{ scope: :col } = i + 1
        td = post.title
        td = post.aasm.current_state
        td.d-flex
          .me-4 = link_to 'Show', post
          .me-4 = link_to 'Edit', edit_post_path(post)
          = link_to 'Destroy', post, data: { confirm: 'Are you sure?' }, method: :delete

= link_to 'New Post', new_post_path, class: 'btn btn-primary'
